Package twisted :: Package protocols :: Module ident :: Class InvalidPort

[frames | no frames]

## Class InvalidPort

    Exception --+
                |
       IdentError --+
                    |
                   InvalidPort

Either the local or foreign port was improperly specified. This should be returned if either or both of the port ids were out of range (TCP port numbers are from 1-65535), negative integers, reals or in any fashion not recognized as a non-negative integer.

Method Summary
Inherited from IdentError
| ``__str__`(self)`
Inherited from Exception
| `__init__(...)`
| `__getitem__(...)`

Class Variable Summary
`str` | `identDescription` = `'INVALID-PORT'`

Class Variable Details

### identDescription

  Type:
    `str`
  Value:

        'INVALID-PORT'

Generated by Epydoc 2.0 on Sat May 15 20:08:35 2004 | http://epydoc.sf.net